using System.Drawing;
using System.Windows.Forms;
using libEveMapNG.Data.Static;

namespace EveMapControls.Viewport
{
    public interface IMapViewport
    {
        SolarSystem SelectedSystem { get; set; }
        SolarSystem HoverSystem { get; }
        float MapScale { get; set; }
        bool ScrollEnabled { get; set; }
        bool ZoomEnabled { get; set; }
        ContextMenuStrip SystemContextMenu { get; set; }
        void InitializeMapSettings();
        void CenterOnPoint(PointF point);
    }
}