﻿using System;
using System.Runtime.Serialization;
using libEveMapNG.Data.Static;

namespace libEveMapNG.Data.Dynamic
{
    [Serializable]
    public class CynoBeacon
    {
        public string Note;
        [NonSerialized] public SolarSystem System;
        private int SystemID;

        [OnSerializing]
        internal void OnSerializing(StreamingContext context)
        {
            SystemID = System.ID;
        }

        [OnDeserialized]
        internal void OnDeserialized(StreamingContext context)
        {
            System = SolarSystem.GetByID(SystemID);
        }
    }
}