﻿using System;
using System.Drawing;
using System.Windows.Forms;

namespace EveMapSettings.FormState
{
    [Serializable]
    public class MainWindowState
    {
        //Main Window Settings
        public float MapScale;
        public int SelectedSystem;
        public int SelectedTab;
        public Point WindowLocation;
        public Size WindowSize;
        public FormWindowState WindowState;
        public int X, Y;
        public int ZoomLevel;

        public void Reset()
        {
            MapScale = .50001f;
            SelectedSystem = 30004712;
            SelectedTab = 1;
            ZoomLevel = 8;
            WindowLocation = new Point(10, 10);
            WindowSize = new Size(1024, 768);
        }
    }
}