using System;
using System.Drawing;

namespace libEveMapNG.Types
{
    [Serializable]
    public class PointF3D
    {
        public PointF3D(float x, float y, float z)
        {
            X = x;
            Y = y;
            Z = z;
        }

        public PointF3D()
        {
        }

        public float X { get; set; }
        public float Y { get; set; }
        public float Z { get; set; }

        public static implicit operator PointF(PointF3D a)
        {
            return new PointF(a.X, a.Y);
        }
    }
}